<div class="animate__animated animate__fadeIn animate__faster">
  <h2>Por País</h2>
  <hr>

  <div class="row">
    <div class="col">
      <app-pais-input (onBuscar)="buscar($event)" (onDebounce)="sugerencias($event)"
                      placeholder="Buscar pais..."></app-pais-input>
    </div>
  </div>

  <ul class="list-group" *ngIf="showSuggestion">
    <li *ngFor="let paisesSgugerido of paisesSgugeridos"
        class="list-group-item list-group-item-action">
      <a [routerLink]="['/pais', paisesSgugerido.cca2]" class="nav-link">{{paisesSgugerido.name.common}}</a>
    </li>
    <li
      class="list-group-item list-group-item-action">
      <a class="nav-link" (click)="buscar(termino)">Buscar "{{termino}}"</a>
    </li>
  </ul>
  <hr>
</div>

<div *ngIf="hayError" class="alert alert-danger">
  No se encontró ningún país con el termino {{termino}}.
</div>

<div *ngIf="paises.length > 0" class="row">
  <div class="col">
    <app-pais-tabla [paises]="paises"></app-pais-tabla>
  </div>
</div>
